plugins {
    id 'com.android.library'
    id 'org.jetbrains.kotlin.android'
    id 'kotlin-kapt'
    id 'kotlin-parcelize'
}


def androidId = rootProject.ext.defaultSetting
def rely = rootProject.ext.relyOn
def imagePrefix =rootProject.ext.image_preifx
android {
    compileSdkVersion androidId.compileSdk

    defaultConfig {
        minSdkVersion androidId.minSdk
        targetSdkVersion androidId.targetSdk
        versionCode androidId.versionCode
        versionName androidId.versionName

        kapt {
            arguments {
                arg("AROUTER_MODULE_NAME", project.getName())
            }
        }
        ndk{
            moduleName "libnew_native_libe"
            ldLibs "log"
            abiFilters "armeabi-v7a","arm64-v8a"
        }


      //  buildConfigField("boolean","isRelease",String.valueOf(rootProject.ext.isRelease))
    }

    buildTypes {
        release {
            buildConfigField("String","url","\"${url.release_url}\"")
            buildConfigField("String","h5url","\"${url.h5_release_url}\"")
            buildConfigField("String", "image_prefix","\"${imagePrefix.release_url}\"")

            buildConfigField("Boolean","isRelease",String.valueOf(true))
            minifyEnabled false
            proguardFiles getDefaultProguardFile('proguard-android-optimize.txt'), 'proguard-rules.pro'
        }
        debug{
            buildConfigField("String","url","\"${url.debug_url}\"")
            buildConfigField("String","h5url","\"${url.h5_debug_url}\"")
            buildConfigField("Boolean","isRelease",String.valueOf(false))
            buildConfigField("String", "image_prefix","\"${imagePrefix.debug_url}\"")
        }
    }
    compileOptions {
        sourceCompatibility JavaVersion.VERSION_1_8
        targetCompatibility JavaVersion.VERSION_1_8
    }

    viewBinding{
        enabled=true
    }

    kotlinOptions{
        jvmTarget="1.8"
    }
}

repositories {
    flatDir {
        dirs 'libs','../common/libs'
    }
}
dependencies {
    api project(':base')
   // implementation (name: 'ycbtsdk-release', ext: 'aar')
    implementation 'androidx.appcompat:appcompat:1.4.1'
    implementation 'androidx.constraintlayout:constraintlayout:2.1.3'
    kapt rely.arouter_compiler
    kapt rely.utilcode

    api 'com.github.barteksc:android-pdf-viewer:2.8.2'
    implementation files('libs/bluetooth-mini-fatscale-2.9.5.jar')
    implementation files('libs/bluetooth-mini-core-2.9.5.jar')
}